Subject: [rohc] RE:

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Mon, 5 Dec 2005 16:44:04 +0100

> Sorry, my question was imprecise.
> If I understood right, the timer-based transmission needs 
> that timestamp bits are sent.
> ImplGuide:
>    It should thus be noted that timer-based compression has no 
>    influence on decompression of packets where no timestamp
>    bits are sent, in that case the timestamp is just linearly
>    inferred from the SN (see section 4.2 of this document).
> 
> The smallest packet with TS bits is a type-1 packet, so if I 
> use timer-based compression, I can not use 1-byte type-0 
> packets, right?

[GHPE] Correct, that's right.

> So if timer-based compression is on, at least a 2-bytes 
> packet must be sent.

[GHPE] Right again.

> But if after a silent suppression the TS follows SN linear 
> again, there is from my point of view no need to continue 
> with timer-based compression, sending TS-bits. The 
> decompressor can infer the TS from the SN. Is this right?

[GHPE] If you mean that there is no need to send compressed TS bits when
the TS behaves as a linear function of the SN, then I believe that
you're right again.

> I assume, that after a period of silent the compressor uses 
> timer-based compression to transmit the new TS value to 
> decompressor and continues after without timer-based compression.

[GHPE] Right. See above.

Hope this helps,

/Ghyslain
 
> BR
> --
> Klaus Warnke
> [email-masked]
> 
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc